SDL_SetWindowProgressValue(3)

NAME
SDL_SetWindowProgressValue - Sets the value of the progress bar for the given window’s taskbar icon.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowProgressValue(SDL_Window *window, float value);

FUNCTION PARAMETERS

window
    the window whose progress value is to be modified.

value
    the progress value in the range of [0.0f - 1.0f]. If the value is outside the valid range, it gets clamped.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.4.0.